<script lang="ts">
import { ref, onMounted } from 'vue';
import axios from 'axios';
export default {
  setup() {
    const currentCustomerManagerId = ref('');
    const currentCustomerManagerName = ref('');
    const errorMessage = ref<string | null>(null);

    async function fetchCurrentManager(): Promise<void> {
      try {
        const response = await axios.get('http://localhost:8080/api/v1/managers/current');

        // Save the currentCustomerManagerId and currentCustomerManagerName in sessionStorage or localStorage
        sessionStorage.setItem('currentCustomerManagerId', response.data.currentCustomerManagerId);
        sessionStorage.setItem('currentCustomerManagerName', response.data.currentCustomerManagerName);

        // Set the received data to the ref variables
        currentCustomerManagerId.value = response.data.currentCustomerManagerId;
        currentCustomerManagerName.value = response.data.currentCustomerManagerName;

      } catch (error) {
        errorMessage.value = 'Fetching data failed';
      }
    }

    onMounted(fetchCurrentManager);

    return {
      currentCustomerManagerId,
      currentCustomerManagerName,
      errorMessage,
    };
  },
};
</script>

<template>
  <div class="blank">
    <h1>ID: {{ currentCustomerManagerId }}</h1>
    <h1>Name: {{ currentCustomerManagerName }}</h1>
  </div>
</template>
  
<style>
@media (min-width: 1024px) {
  .blank {
    min-height: 100vh;
    display: flex;
    align-items: center;
  }
}
</style>
  